# Generated by Django 2.1.7 on 2021-03-16 16:18

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('tickets', '0017_slack_messages_20210305_1002'),
        ('qc', '0002_auto_20210315_1410'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalQAInspectionAnswerChildModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('satisfied', models.BooleanField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('indicator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='qc.QAIndicatorModel')),
            ],
            options={
                'verbose_name': 'historical qa inspection answer child model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalQAInspectionAnswerModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('satisfied', models.BooleanField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('indicator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='qc.QAIndicatorModel')),
            ],
            options={
                'verbose_name': 'historical qa inspection answer model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalQAInspectionModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('contact_date', models.DateTimeField()),
                ('agent_extension', models.PositiveSmallIntegerField()),
                ('kind', models.PositiveSmallIntegerField(choices=[(0, 'Llamada'), (1, 'Canal Escrito')])),
                ('customer_phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('customer_email', models.EmailField(max_length=254)),
                ('customer_rut', models.CharField(max_length=100)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('service_hiring', models.SmallIntegerField(choices=[(0, 'NO'), (1, 'SÍ'), (2, 'N/A')])),
                ('address', models.CharField(max_length=100)),
                ('commentaries', models.IntegerField(null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('category', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tickets.CategoryModel')),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('typify', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tickets.TypifyModel')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical qa inspection model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalQAInspectionTablesModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical qa inspection tables model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='QAInspectionAnswerChildModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('satisfied', models.BooleanField()),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qainspectionanswerchildmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('indicator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='qc.QAIndicatorModel')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='QAInspectionAnswerModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('satisfied', models.BooleanField()),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qainspectionanswermodel_creator', to=settings.AUTH_USER_MODEL)),
                ('indicator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='qc.QAIndicatorModel')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='QAInspectionModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('contact_date', models.DateTimeField()),
                ('agent_extension', models.PositiveSmallIntegerField()),
                ('kind', models.PositiveSmallIntegerField(choices=[(0, 'Llamada'), (1, 'Canal Escrito')])),
                ('customer_phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('customer_email', models.EmailField(max_length=254)),
                ('customer_rut', models.CharField(max_length=100)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('service_hiring', models.SmallIntegerField(choices=[(0, 'NO'), (1, 'SÍ'), (2, 'N/A')])),
                ('address', models.CharField(max_length=100)),
                ('commentaries', models.IntegerField(null=True)),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tickets.CategoryModel')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qainspectionmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('typify', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tickets.TypifyModel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qainspectionmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='QAInspectionTablesModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qainspectiontablesmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qainspectiontablesmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='qainspectionanswermodel',
            name='inspection',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='qc.QAInspectionModel'),
        ),
        migrations.AddField(
            model_name='qainspectionanswermodel',
            name='updater',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qainspectionanswermodel_updater', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='qainspectionanswerchildmodel',
            name='parent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='qc.QAInspectionAnswerModel'),
        ),
        migrations.AddField(
            model_name='qainspectionanswerchildmodel',
            name='updater',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qainspectionanswerchildmodel_updater', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalqainspectionanswermodel',
            name='inspection',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='qc.QAInspectionModel'),
        ),
        migrations.AddField(
            model_name='historicalqainspectionanswermodel',
            name='updater',
            field=models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalqainspectionanswerchildmodel',
            name='parent',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='qc.QAInspectionAnswerModel'),
        ),
        migrations.AddField(
            model_name='historicalqainspectionanswerchildmodel',
            name='updater',
            field=models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
    ]
